<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Formulario y jQuery</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Roboto'>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script type="text/javascript" src="../javascript/formulario.js"></script>
    <link rel="stylesheet" href="../css/formulario.css">
</head>
<body>
<div class="container-fluid contenedor mt-2 mt-md-5">
    <div>
        <h1>Formulario persona con bootstrap y jQuery</h1>
    </div>

    <div id="fila-primaria" class="row">
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="nombre-usuario">Ingrese el nombre</label>
            <input class="form-control" type="text" id="nombre-usuario">
            <span id="nombre-validacion">Completar este campo</span>
        </div>
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="apellido-usuario">Ingrese su apellido</label>
            <input class="form-control" type="text" id="apellido-usuario">
            <span id="apellido-validacion">Completar este campo</span>
        </div>
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="combo-sexo">Ingrese sexo</label>
            <select class="form-select" id="combo-sexo">
                <option value="" selected>Seleccione</option>
                <option value="Masculino">Masculino</option>
                <option value="Femenino">Femenino</option>
                <option value="Otro">Otro</option>
            </select>
            <span id="sexo-validacion">Completar este campo</span>
        </div>
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="tipo-documento">Ingrese su tipo de documento</label>
            <select class="form-select" id="tipo-documento">
                <option value="">Seleccione</option>
                <option value="DNI">DNI</option>
                <option value="Pasaporte">Pasaporte</option>
                <option value="Libreta">Libreta enrolamiento</option>
            </select>
            <span id="tipo-documento-validacion">Completar este campo</span>
        </div>
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="dni-usuario">Ingrese su numero de documento</label>
            <input class="form-control" type="text" id="dni-usuario">
            <span id="dni-validacion">Completar este campo</span>
        </div>
        <div class="col-sm-6 col-md-4 col-lg-3">
            <label for="telefono-usuario">Ingrese su numero de telefono</label>
            <input class="form-control" type="text" id="telefono-usuario">
            <span id="telefono-validacion">Completar este campo</span>
        </div>
    </div>

    <div class="boton">
        <button id="boton-agregar-persona" type="button" onclick="agregarPersona()">Cargar persona</button>
    </div>
</div>

<div>
    <table id="tabla">
        <tr>
            <th>Nombre</th>
            <th>Apellido</th>
            <th>Sexo</th>
            <th>Tipo documento</th>
            <th>Documento</th>
            <th>Telefono</th>
        </tr>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
        crossorigin="anonymous"></script>
</body>
</html>